<?xml version="1.0" encoding="UTF-8"?>

<!--
    Document   : new-scheduler-calendar.xml
    Created on : 10 de Noviembre del 2015
    Author     : David FUENTES
    Description: Ventana de creacion de un nuevo calendario
-->

<screen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="https://aweframework.gitlab.io/awe/docs/schemas/screen.xsd" template="window" label="MENU_SCHEDULER_CALENDARS" help="HELP_SCREEN_SCHEDULER_CALENDAR">
    <!--
      MESSAGES
    -->
  <tag source="hidden">
       <message id="NewMsg" title="CONFIRM_TITLE_NEW" message="CONFIRM_MESSAGE_NEW" />
  </tag>
    <!--
      BUTTONS
    -->
  <tag source="buttons">
    <button label="BUTTON_BACK" icon="arrow-left" id="ButBck" help="HELP_BACK_BUTTON">
        <button-action type="screen" target="scheduler_calendars" />
    </button>
    <button label="BUTTON_SCREEN_HELP" icon="question-circle" id="ButHlp" help="HELP_HELP_BUTTON">
      <button-action type="dialog" target="HlpOpt" />
    </button>
    <button label="BUTTON_PRINT" icon="print" id="ButPrn" help="HELP_PRINT_BUTTON">
      <button-action type="validate" />
      <button-action type="dialog" target="PrnOpt" />
    </button>
    <button button-type="submit" label="BUTTON_CONFIRM" icon="plus-circles" id="ButNewCal" help="HELP_CONFIRM_BUTTON">
                <button-action type="validate" target="NewCal" />
                <button-action type="confirm" target="NewMsg" />
                <button-action type="server" server-action="maintain" target-action="NewSchedulerCalendar"/>
                <button-action type="screen" target="scheduler_calendars" />
          </button> 
  </tag>
    <!--
      BODY
    -->
  <tag source="center" expandible="vertical">
      <window style="expand" label="SCREEN_TEXT_CALENDAR" icon="calendar">
        <tag id="NewCal" type="div" style="panel-body">
            <criteria label="PARAMETER_NAME" component="text" id="Nom" style="col-xs-12 col-sm-6 col-lg-4" validation="required" />
            <criteria label="PARAMETER_DESCRIPTION" component="text" id="Des" style="col-xs-12 col-sm-6 col-lg-4" validation="required" />
            <criteria label="PARAMETER_ACTIVE" component="select" initial-load="enum" target-action="Es1Es0" id="Act" style="col-xs-12 col-sm-6 col-lg-4" validation="required" />
        </tag>
    </window>
  </tag>
    <!--
      POP-UPs
    -->
  <tag source="modal">
      <include target-screen="screen-help" target-source="center"/>
  </tag>
</screen>
